## vdr-plugin-games 0.6.1

=== Makefile ===
PLUGIN    = games
VERSION   = 0.6.1
GAMES     = minesweeper \
            tictactoe   \
            tetris      \
            snake       \
            tron
OBJS      = launcher.o  \
            display.o   \
            screen.o    \
            bitmap.o    \
            text.o
VDROBJS   = plugin.o
SDLOBJS   = main.o
DEFINES   = -DVERSION=\"$(VERSION)\"
CFLAGS    = -g -pipe -O2 -Wall -Woverloaded-virtual
LFLAGS    = -pthread
VDRDIR    = ../../..
LIBDIR    = ../../lib
DVBDIR    = ../../../../DVB
PACKAGE   = vdr-games-$(VERSION)
ARCHIVES  = $(shell for GAME in $(GAMES); do echo $$GAME/$$GAME.a; done)
SDLGAMES  = $(shell test -f $(VDRDIR)/config.h || echo true )
VDRVER    = $(shell grep 'define VDRVERSION ' $(VDRDIR)/config.h | \
                    awk '{ print $$3 }' | sed -e 's/"//g' )
VDRNUM    = $(shell grep 'define VDRVERSNUM ' $(VDRDIR)/config.h | \
                    awk '{ print $$3 }' | sed -e 's/"//g' )

ifeq "$(SDLGAMES)" "true"

	TARGET    = sdl-games
	OBJS     += $(SDLOBJS)
	CFLAGS   += `sdl-config --cflags`
	LFLAGS   += `sdl-config --libs`
	DEFINES  += -DSDL -DVERBOSE

else

	TARGET    = libvdr-games.so
	OBJS     += $(VDROBJS)
	CFLAGS   += -fPIC -I$(VDRDIR) -I$(DVBDIR)/include
	LFLAGS   += -shared --whole-archive
	DEFINES  += -D_GNU_SOURCE -DVDRVERSNUM=$(VDRNUM)

#-include $(VDRDIR)/Make.config

endif

all:
	@echo
	@echo -n "Building $(TARGET) "
	@for GAME in $(GAMES); do cd $$GAME; make -s all; cd -; done
	@rm -f $(TARGET)
	@make -s $(TARGET)
	@echo " done"
	@echo

libvdr-games.so: $(OBJS)
	@g++ $(OBJS) $(LFLAGS) $(ARCHIVES) -o $@
	@cp $@ $(LIBDIR)/$@.$(VDRVER)

sdl-games: $(OBJS)
	@g++ $(OBJS) $(LFLAGS) $(ARCHIVES) -o $@

install: all
	@cp $(LIBDIR)/libvdr-games.so.$(VDRVER) /mnt/vdr/lib/plugins/

tar: clean
	@echo -n "Creating archive ..."
	@cd .. ; cp -a vdr-games games-$(VERSION)
	@cd .. ; for GAME in $(GAMES); do rm -rf games-$(VERSION)/$$GAME/CVS; done
	@cd .. ; rm -rf games-$(VERSION)/CVS
	@cd .. ; tar cfz $(PACKAGE).tar.gz games-$(VERSION)
	@cd .. ; rm -rf games-$(VERSION)
	@echo " done"
	@echo

clean:
	@echo
	@echo -n "Cleaning source tree "
	@for GAME in $(GAMES); do cd $$GAME; make -s clean; cd -; done
	@rm -f *.o *.a $(TARGET)
	@echo " done"
	@echo

.cpp.o:
	@echo -n "."
	@$(COMPILE.cpp) $(DEFINES) $(CFLAGS) -c $< $(OUTPUT_OPTION)

## vdr-plugin-games 0.6.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PLUGIN    = games
-VERSION   = 0.6.1
+VERSION   = 0.6.2
 GAMES     = minesweeper \
             tictactoe   \
             tetris      \

## vdr-plugin-games 0.6.3

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PLUGIN    = games
-VERSION   = 0.6.2
+VERSION   = 0.6.3
 GAMES     = minesweeper \
             tictactoe   \
             tetris      \
@@ -36,13 +36,21 @@
 
 else
 
+	# The version number of VDR's plugin API (taken from VDR's "config.h"):
+	APIVERSION = $(shell sed -ne '/define APIVERSION/ { s/^.*"\(.*\)".*$$/\1/; p }' $(VDRDIR)/config.h)
+
+	# This is required for VDRs older than 1.3.47
+	ifeq ($(strip $(APIVERSION)),)
+		APIVERSION = $(shell sed -ne '/define VDRVERSION/ { s/^.*"\(.*\)".*$$/\1/; p }' $(VDRDIR)/config.h)
+	endif
+
+	-include $(VDRDIR)/Make.config
+
 	TARGET    = libvdr-games.so
 	OBJS     += $(VDROBJS)
 	CFLAGS   += -fPIC -I$(VDRDIR) -I$(DVBDIR)/include
 	LFLAGS   += -shared --whole-archive
 	DEFINES  += -D_GNU_SOURCE -DVDRVERSNUM=$(VDRNUM)
-
-#-include $(VDRDIR)/Make.config
 
 endif
 
@@ -57,7 +65,7 @@
 
 libvdr-games.so: $(OBJS)
 	@g++ $(OBJS) $(LFLAGS) $(ARCHIVES) -o $@
-	@cp $@ $(LIBDIR)/$@.$(VDRVER)
+	@cp $@ $(LIBDIR)/$@.$(APIVERSION)
 
 sdl-games: $(OBJS)
 	@g++ $(OBJS) $(LFLAGS) $(ARCHIVES) -o $@

=== minesweeper/Makefile ===
GAME     = minesweeper
OBJS     = minesweeper.o
CFLAGS   = -g -pipe -O2 -Wall -Woverloaded-virtual

all: $(OBJS)
	@ar -r $(GAME).a $(OBJS)

clean:
	@echo -n "."
	@rm -rf *.o *.a

.cpp.o:
	@echo -n "."
	@g++ $(CFLAGS) -c $<

=== snake/Makefile ===
GAME     = snake
OBJS     = snake.o
CFLAGS   = -g -pipe -O2 -Wall -Woverloaded-virtual

all: $(OBJS)
	@ar -r $(GAME).a $(OBJS)

clean:
	@echo -n "."
	@rm -rf *.o *.a

.cpp.o:
	@echo -n "."
	@g++ $(CFLAGS) -c $<

=== tetris/Makefile ===
GAME     = tetris
OBJS     = tetris.o
CFLAGS   = -g -pipe -O2 -Wall -Woverloaded-virtual

all: $(OBJS)
	@ar -r $(GAME).a $(OBJS)

clean:
	@echo -n "."
	@rm -rf *.o *.a

.cpp.o:
	@echo -n "."
	@g++ $(CFLAGS) -c $<

=== tictactoe/Makefile ===
GAME     = tictactoe
OBJS     = tictactoe.o
CFLAGS   = -g -pipe -O2 -Wall -Woverloaded-virtual

all: $(OBJS)
	@ar -r $(GAME).a $(OBJS)

clean:
	@echo -n "."
	@rm -rf *.o *.a

.cpp.o:
	@echo -n "."
	@g++ $(CFLAGS) -c $<

=== tron/Makefile ===
GAME     = tron
OBJS     = tron.o
CFLAGS   = -g -pipe -O2 -Wall -Woverloaded-virtual

all: $(OBJS)
	@ar -r $(GAME).a $(OBJS)

clean:
	@echo -n "."
	@rm -rf *.o *.a

.cpp.o:
	@echo -n "."
	@g++ $(CFLAGS) -c $<

=== debian/changelog ===
vdr-plugin-games (0.6.3-44) unstable; urgency=low

  * Build-depend on vdr-dev (>= 2.0.0)

 -- Tobias Grimm <etobi@debian.org>  Sun, 31 Mar 2013 14:00:08 +0200

vdr-plugin-games (0.6.3-43) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.42)

 -- Tobias Grimm <etobi@debian.org>  Sat, 23 Mar 2013 20:48:13 +0100

vdr-plugin-games (0.6.3-42) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.41)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Mar 2013 19:49:30 +0100

vdr-plugin-games (0.6.3-41) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.40)

 -- Tobias Grimm <etobi@debian.org>  Sun, 10 Mar 2013 19:09:32 +0100

vdr-plugin-games (0.6.3-40) unstable; urgency=low

  * Use debhelper 9
  * Build-depend on vdr-dev (>= 1.7.39)

 -- Tobias Grimm <etobi@debian.org>  Sun, 03 Mar 2013 10:29:12 +0100

vdr-plugin-games (0.6.3-39) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.28)

 -- Tobias Grimm <etobi@debian.org>  Sat, 09 Jun 2012 18:07:41 +0200

vdr-plugin-games (0.6.3-37) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.27)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Apr 2012 23:03:15 +0200

vdr-plugin-games (0.6.3-36) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.26)
  * Standards-Version: 3.9.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 25 Mar 2012 13:35:54 +0200

vdr-plugin-games (0.6.3-35) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.23)

 -- Tobias Grimm <etobi@debian.org>  Sun, 29 Jan 2012 19:05:18 +0100

vdr-plugin-games (0.6.3-34) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.22)

 -- Tobias Grimm <etobi@debian.org>  Sun, 11 Dec 2011 17:16:38 +0100

vdr-plugin-games (0.6.3-33) unstable; urgency=low

  * Switched to GIT using pristine tar

 -- Tobias Grimm <etobi@debian.org>  Sat, 29 Oct 2011 20:10:43 +0200

vdr-plugin-games (0.6.3-32) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.21)

 -- Tobias Grimm <etobi@debian.org>  Sun, 18 Sep 2011 18:23:53 +0200

vdr-plugin-games (0.6.3-31) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.20)
  * Standards-Version: 3.9.2
  * Fixed spelling errors in description

 -- Tobias Grimm <etobi@debian.org>  Sat, 20 Aug 2011 15:25:37 +0200

vdr-plugin-games (0.6.3-30) unstable; urgency=low

  * Fixed FTBS with GCC 4.6 (Closes: #628113)

 -- Tobias Grimm <etobi@debian.org>  Sat, 28 May 2011 17:55:48 +0200

vdr-plugin-games (0.6.3-29) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.18)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Apr 2011 20:06:29 +0200

vdr-plugin-games (0.6.3-28) unstable; urgency=low

  * Build-depend on vdr-dev >= 1.7.17
  * Updated debian/copyright
  * Standards-Version: 3.9.1
  * Switched to debhelper 7 and dropped cdbs

 -- Tobias Grimm <etobi@debian.org>  Thu, 07 Apr 2011 22:01:08 +0200

vdr-plugin-games (0.6.3-27) unstable; urgency=low

  * Build-depend on vdr-dev >= 1.6.0-16

 -- Tobias Grimm <etobi@debian.org>  Sun, 28 Mar 2010 15:06:01 +0200

vdr-plugin-games (0.6.3-26) unstable; urgency=low

  * Added 03_games-0.6.3-fix-INCLUDES.dpatch
  * Removed 01_Makefile-fPIC-fix.dpatch
  * Removed DVBDIR from debian/rules
  * Standards-Version: 3.8.4

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 16 Mar 2010 23:36:46 +0100

vdr-plugin-games (0.6.3-25) unstable; urgency=low

  * Removed non-standard shebang line from debian/rules (Closes: #552641)
  * Added README.source

 -- Tobias Grimm <etobi@debian.org>  Sun, 08 Nov 2009 23:26:41 +0100

vdr-plugin-games (0.6.3-24) unstable; urgency=low

  * Updated debian/watch
  * Standards-Version: 3.8.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 04 Oct 2009 12:46:52 +0200

vdr-plugin-games (0.6.3-23) unstable; urgency=low

  * Release for vdrdevel 1.7.6
  * Added ${misc:Depends}
  * Bumped standards version to 3.8.1
  * Updated debian/copyright to our new format
  * Changed section to "video"

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 29 Apr 2009 23:10:54 +0200

vdr-plugin-games (0.6.3-22) unstable; urgency=low

  [ Tobias Grimm ]
  * Dropped patchlevel control field
  * Build-Depend on vdr-dev (>=1.6.0-5)
  * Bumped Standards-Version to 3.8.0

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 19 Jul 2008 17:46:04 +0200

vdr-plugin-games (0.6.3-21) unstable; urgency=low

  * Upload to unstable

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 08 Jun 2008 23:24:23 +0200

vdr-plugin-games (0.6.3-20) experimental; urgency=low

  * Increased package version to force rebuild for vdr 1.6.0-1ctvdr7

 -- Tobias Grimm <tg@e-tobi.net>  Mon, 12 May 2008 12:58:34 +0200

vdr-plugin-games (0.6.3-19) experimental; urgency=low

  [ Thomas Schmidt ]
  * Build-Depend on vdr-dev (>=1.6.0)
  * Switched Build-System to cdbs, Build-Depend on cdbs
  * Added Homepage field to debian/control
  * Renamed XS-Vcs-* fields to Vcs-* in debian/control
  * Bumped Standards-Version to 3.7.3

  [ Tobias Grimm ]
  * Using COMPAT=5 now

 -- Tobias Grimm <tg@e-tobi.net>  Fri, 04 Apr 2008 00:17:06 +0200

vdr-plugin-games (0.6.3-18) experimental; urgency=low

  * Force rebuild for vdr 1.5.15

 -- Tobias Grimm <tg@e-tobi.net>  Mon, 18 Feb 2008 21:08:05 +0100

vdr-plugin-games (0.6.3-17) unstable; urgency=low

  * Release for vdrdevel 1.5.13

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 16 Jan 2008 10:31:33 +0100

vdr-plugin-games (0.6.3-16) unstable; urgency=low

  * Release for vdrdevel 1.5.12

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 20 Nov 2007 23:46:19 +0100

vdr-plugin-games (0.6.3-15) unstable; urgency=low

  * Release for vdrdevel 1.5.11

 -- Thomas Günther <tom@toms-cafe.de>  Tue,  6 Nov 2007 23:34:12 +0100

vdr-plugin-games (0.6.3-14) unstable; urgency=low

  * Release for vdrdevel 1.5.10

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 16 Oct 2007 23:50:53 +0200

vdr-plugin-games (0.6.3-13) unstable; urgency=low

  * Release for vdrdevel 1.5.9

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 28 Aug 2007 01:01:04 +0200

vdr-plugin-games (0.6.3-12) unstable; urgency=low

  * Release for vdrdevel 1.5.8



=== debian/control ===
Source: vdr-plugin-games
Section: video
Priority: extra
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 9), vdr-dev (>= 2.0.0), pkg-config
Standards-Version: 3.9.3
Homepage: http://1541.org/vdr-games/
Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-games.git
Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-games.git

Package: vdr-plugin-games
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: VDR plugin providing OSD games like tetris, snake and more
 This plugin for VDR allows one to play Tetris, TicTacToe, Tron
 and Snake via VDR's OSD (On Screen Display).

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

MAKE_OPTIONS = VDRDIR=/usr/include/vdr LIBDIR=. LOCALEDIR=locale
CXXFLAGS += $(shell pkg-config vdr --variable=cxxflags)
CFLAGS += $(shell pkg-config vdr --variable=cflags)
export LFLAGS=$(LDFLAGS)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- all $(MAKE_OPTIONS)

override_dh_auto_install:
	# NOP

override_dh_auto_clean:
	$(MAKE) -o .dependencies clean $(MAKE_OPTIONS)
	rm -rf locale libvdr-*.so.*

override_dh_gencontrol:
	sh /usr/share/vdr-dev/dependencies.sh
	dh_gencontrol

=== debian/watch ===
version=2
http://1541.org/vdr-games .*/vdr-games-(.*)\.tar\.gz
